#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 text-short
version:              0.1.5.1
visibility:           public
id:                   text-short-0.1.5.1-9zCVQxeDClzFuJoLgsG3If
key:                  text-short-0.1.5.1-9zCVQxeDClzFuJoLgsG3If
license:              BSD-3-Clause
maintainer:           hvr@gnu.org
author:               Herbert Valerio Riedel
synopsis:             Memory-efficient representation of Unicode text strings
description:
    This package provides the '\''ShortText'\'' type which is suitable for keeping many short strings in memory. This is similiar to how '\''ShortByteString'\'' relates to '\''ByteString'\''.

    The main difference between '\''Text'\'' and '\''ShortText'\'' is that '\''ShortText'\'' doesn'\''t support zero-copy slicing (thereby saving 2 words), and, compared to text-1.*, that it uses UTF-8 instead of UTF-16 internally. Consequently, the memory footprint of a (boxed) '\''ShortText'\'' value is 4 words (2 words when unboxed) plus the length of the UTF-8 encoded payload.

category:             Data
abi:                  65bcc269fe4207ced465443626c46d99
exposed:              True
exposed-modules:
    Data.Text.Short Data.Text.Short.Partial Data.Text.Short.Unsafe

hidden-modules:       Data.Text.Short.Internal PrimOps
import-dirs:          /usr/lib/ghc-9.8.2/site-local/text-short-0.1.5.1
library-dirs:         /usr/lib/ghc-9.8.2/site-local/text-short-0.1.5.1
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/text-short-0.1.5.1
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/text-short-0.1.5.1
hs-libraries:         HStext-short-0.1.5.1-9zCVQxeDClzFuJoLgsG3If
depends:
    base-4.19.1.0-inplace binary-0.8.9.1-inplace
    bytestring-0.12.1.0-inplace deepseq-1.5.0.0-inplace
    ghc-prim-0.11.0-inplace hashable-1.4.4.0-4FjbwRHK8slL7OrZ7pqlVV
    template-haskell-2.21.0.0-inplace text-2.1.1-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/text-short-0.1.5.1/html/text-short.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/text-short-0.1.5.1/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

